<div class="container">
    <div ui-view></div>
</div>

<div class="container ml-5" id="black-list-section">
    <div class="card card-Reports">
        <div class="row">
            <div class="col-md-4">
                <mat-form-field>
                    <mat-select placeholder="Tipo de busqueda" [(value)]="selected" (selectionChange)="select($event.value)">
                        <mat-option value="correo">Correo</mat-option>
                        <mat-option value="trackId">Track Id</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div *ngIf="showSearchInput">
                <div class="col-md-4" *ngIf="selected == 'correo' || selected == 'trackId'">
                    <mat-form-field style="width: 80%;">
                        <mat-label *ngIf="selected == 'correo'">Inserte el correo</mat-label>
                        <mat-label *ngIf="selected == 'trackId'">Inserte el trackId</mat-label>
                        <input matInput #informacion type="text" maxlength="50" informacion.value='' id="inputSearch">
                    </mat-form-field>
                    
                    <!--
                    <button (click)="downloadReport()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>-->
                </div>
                <div class="col-md-1">
                    <button class="btn btn-primary mr-4 mt-3 searchButton" (click)="buscarPorTexto()">Buscar</button>
                </div>
            </div>


        </div>


    <div class="row" style="margin-top: 20px;">
        <h4 class="title-result-user">Resultados de busqueda:</h4>
        <div class="col-md-12">
            <table id="dtBasicExample" class="table table-striped table-bordered table-sm">
                <thead>
                <tr>
                  <th scope="col">Comercio</th>
                  <th scope="col">Oferta</th>
                  <th scope="col">Fecha inicio</th>
                  <th scope="col">Fecha fin</th>
                  <th scope="col">Estatus</th>
                  <th scope="col">Acciones</th>
                </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>

    <div class="row" style="margin-top: 20px;" *ngIf="showDetailAnalytics">
        <h4 class="title-result-user">Detalle de analítica:</h4>

        <div class="row row-search" *ngIf="showButtonReport" style="margin-bottom: 3%;">
            <button class="btn btn-primary mr-4 mt-3" (click)="exportTableAnalytics()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
        </div>
        <div class="col-md-12">
            <table id="dtDetailAnalytics" class="table table-striped table-bordered table-sm">
                <thead>
                <tr>
                  <th scope="col">TrackID</th>
                  <th scope="col">Proceso</th>
                  <th scope="col">Estatus</th>
                  <th scope="col">Fecha</th>
                  <th scope="col">Dispositivo</th>
                </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>


<!--button view data-->


    <!--
    <div class="row" id="dataSourcePanel">
        <h5>Fuente de datos:</h5>
        <div class="col">
            <textarea class="dataSource" name="" id="" cols="30" rows="10">{{singleUser|json}}</textarea>
        </div>
    </div>

    <div class="row" id="dataInfoPanel">
        <h5>Información del cliente:</h5>
        <div class="col">
            <textarea class="dataSource" name="" id="" cols="30" rows="10">{{infoUser|json}}</textarea>
        </div>
    </div>
    -->

</div>
</div>
